Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_String_Manager Class Reference

Manager for strings. More...

`#include <Managed_Types.h>`

List of all members.

## Public Methods
| TAO_String_Manager (void)
| default CTOR will initialize the underlying ptr_ to empty string.
| TAO_String_Manager (const TAO_String_Manager &)
| copy constructor.
| ~TAO_String_Manager (void)
| destructor.
TAO_String_Manager& | operator= (const TAO_String_Manager&)
| assignment from another managed type.
TAO_String_Manager& | operator= (const CORBA::String_var&)
| assignment from var type will make a copy.
TAO_String_Manager& | operator= (const char *)
| assignment from a constant char* will make a copy.
TAO_String_Manager& | operator= (char *)
| assignment from char* will not make a copy. The String_Manager will now own the string.
| operator const char * () const
| cast (read-only).
const char* | in (void) const
| for in parameter.
char*& | inout (void)
| for inout parameter.
char*& | out (void)
| for out parameter.
char* | _retn (void)
| for string of return type.
## Private Attributes
char* | ptr_
| The underlying string.

## Detailed Description

Manager for strings.

This class implements the generic string manager and is used in the C++ mapping of "struct" members that are of type "string". The difference between this class and the CORBA::String_var class is that the default conctructor initializes the underlying string to an empty string in this class whereas it is a NUL string for the _var class.

## Constructor & Destructor Documentation

ACE_INLINE TAO_String_Manager::TAO_String_Manager ( | void )

| default CTOR will initialize the underlying ptr_ to empty string.

ACE_INLINE TAO_String_Manager::TAO_String_Manager ( | const TAO_String_Manager & rhs )

| copy constructor.

ACE_INLINE TAO_String_Manager::~TAO_String_Manager ( | void )

| destructor.

## Member Function Documentation

ACE_INLINE char * TAO_String_Manager::_retn ( | void )

| for string of return type.

ACE_INLINE const char * TAO_String_Manager::in ( | void ) const

| for in parameter.

ACE_INLINE char *& TAO_String_Manager::inout ( | void )

| for inout parameter.

ACE_INLINE TAO_String_Manager::operator const char * ( | void ) const

| cast (read-only).

ACE_INLINE TAO_String_Manager & TAO_String_Manager::operator= ( | char * p )

| assignment from char* will not make a copy. The String_Manager will now own the string.

ACE_INLINE TAO_String_Manager & TAO_String_Manager::operator= ( | const char * p )

| assignment from a constant char* will make a copy.

TAO_String_Manager & TAO_String_Manager::operator= ( | const CORBA::String_var & var )`[inline]`

| assignment from var type will make a copy.

ACE_INLINE TAO_String_Manager & TAO_String_Manager::operator= ( | const TAO_String_Manager & rhs )

| assignment from another managed type.

ACE_INLINE char *& TAO_String_Manager::out ( | void )

| for out parameter.

## Member Data Documentation

char * TAO_String_Manager::ptr_`[private]`

| The underlying string.

The documentation for this class was generated from the following files:

- Managed_Types.h
- Managed_Types.cpp
- Managed_Types.i